<?php


// Funcao para Calcular valor da Parcela - Tabela Price
function Price($Valor, $Parcelas, $Juros) {

	$Juros = bcdiv($Juros,100,15);
	$E=1.0;
	$cont=1.0;

	for($k=1;$k<=$Parcelas;$k++)
	{
		$cont= bcmul($cont,bcadd($Juros,1,15),15);
		$E=bcadd($E,$cont,15);
	}
	$E=bcsub($E,$cont,15);

	$Valor = bcmul($Valor,$cont,15);
	return bcdiv($Valor,$E,15);
}

function PricePrazo($valor, $parcelas, $juros, $intervalo){

	$juros_tratado = (($juros / 30) * $intervalo);

	$aux = Price($valor, $parcelas, $juros_tratado);

	return $aux;
}

if(isset($_POST['valor'])){
	
	if(isset($_POST['intervalo'])){
		$aux = PricePrazo($_POST['valor'], $_POST['parcela'], $_POST['juros'], $_POST['intervalo']);
		echo json_encode(round($aux, 2));
	}else{
		$aux = Price($_POST['valor'], $_POST['parcela'], $_POST['juros']);
		echo json_encode(round($aux, 2));
	}
}

?>